%bcond_with lustre
%bcond_without mpich

Name:		ior
Version:	3.0.1
Release:	3%{?dist}
Summary:	Parallel filesystem I/O benchmark

License:	GPLv2
URL:		https://github.com/chaos/ior
Source0:	ior-3.0.1.tar.gz

BuildRequires:	hdf5-openmpi-devel openmpi-devel automake zlib-devel
%if %{with mpich}
BuildRequires:	hdf5-mpich-devel mpich-devel
%endif
%if %{with lustre}
BuildRequires:	lustre-client
%endif

%global desc \
IOR can be used for testing performance of parallel file systems using\
various interfaces and access patterns.  IOR uses MPI for process\
synchronization.  IOR version 2 is a complete rewrite of the original\
IOR (Interleaved-Or-Random) version 1 code.

%description
%desc

%package openmpi
Summary:        Parallel filesystem I/O benchmark - openmpi
Requires:	openmpi

%description openmpi
%desc

This is the openmpi version.

%if %{with mpich}
%package mpich
Summary:        Parallel filesystem I/O benchmark - mpich
Requires:	mpich

%description mpich
%desc

This is the mpich version.
%endif


%prep
%setup -q -c
pushd %name-%version
./bootstrap
popd
mv %name-%version openmpi
%if %{with mpich}
cp -a openmpi mpich
%endif


%build
%_openmpi_load
pushd openmpi
%configure CPPFLAGS='-DH5Dcreate_vers=1 -DH5Dopen_vers=1' --with-hdf5 --bindir=$MPI_BIN --program-suffix=$MPI_SUFFIX
make %{?_smp_mflags}
popd
%_openmpi_unload
%if %{with mpich}
%_mpich_load
pushd mpich
%configure CPPFLAGS='-DH5Dcreate_vers=1 -DH5Dopen_vers=1' --with-hdf5 --bindir=$MPI_BIN --program-suffix=$MPI_SUFFIX
make %{?_smp_mflags}
popd
%_mpich_unload
%endif


%install
rm -rf $RPM_BUILD_ROOT
make -C openmpi install DESTDIR=$RPM_BUILD_ROOT
%if %{with mpich}
make -C mpich install DESTDIR=$RPM_BUILD_ROOT
%endif
rm $RPM_BUILD_ROOT%_datadir/USER_GUIDE


%clean
rm -rf $RPM_BUILD_ROOT


%files openmpi
%defattr(-,root,root,-)
%doc openmpi/doc/USER_GUIDE openmpi/COPYRIGHT openmpi/scripts/*
%_libdir/openmpi/bin/ior*

%if %{with mpich}
%files mpich
%defattr(-,root,root,-)
%doc openmpi/doc/USER_GUIDE openmpi/COPYRIGHT openmpi/scripts/*
%_libdir/mpich/bin/ior*
%endif


%changelog
* Fri Nov 28 2014 Dave Love <d.love@liverpool.ac.uk> - 3.0.1-3
- Add mpich version

* Fri Oct 31 2014 Dave Love <d.love@liverpool.ac.uk> - 3.0.1-2
- BR hdf5-openmpi-devel

* Wed Mar 26 2014 Dave Love <d.love@liverpool.ac.uk> - 3.0.1-1
- Initial packaging
